# $Id: mysql-tapkit.sql,v 1.9 2004/06/26 19:46:02 john Exp $
#

# drop database tml_tapkit;
# create database tml_tapkit;
# use tml_tapkit;

# ML
create table ml (
  ml_id int primary key,
  name varchar(64) not null,           # ML̾
  sender varchar(255),                 # ٥ԥɥ쥹
  overview text,                       # 
  not_member tinyint,                  # аʳ
  subject_mlname tinyint,              # ֥ȤML̾Ϳ
  counter_width int,                   # ֥ȥ󥿷 - ǥե 5
  remote_command tinyint,              # ⡼ȥޥɼ
  remote_admin tinyint,                # ⡼ȴ
  spool tinyint,                       # ᡼¸
  web_interface tinyint,               # Web I/F
  need_confirm_command varchar(255),   # ׳ǧޥ
  allowed_command varchar(255),        # ĥޥ
  anonymous_command varchar(255),      # ƿ̾Ѳĥޥ
  admin_command varchar(255),          # Ѳĥޥ
  logging tinyint,                     # 
  replyto_type varchar(255)            # ֿ
);

# 
create table counter (
  counter_id int primary key,
  ml_id int,                           # ML̾
  counter int                          # 
);

# ѥ
create table address (
  address_id int primary key,
  address varchar(255),                  # ᡼륢ɥ쥹
  password varchar(255),                 # ѥ
  unique(address)
);

# 
create table admin (
  admin_id int primary key,
  ml_id int,                            # ML̾
  address_id int,                       # ԥ᡼륢ɥ쥹
  unique(ml_id, address_id)
);

# 
create table member (
  member_id int primary key,
  ml_id int,                           # ML̾
  address_id varchar(255)             # ᡼륢ɥ쥹
);

# MLĥ꡼
create table tree (
  tree_id int primary key,
  parent_id int,                  # ML̾
  child_id int,                   # ML̾
  unique (parent_id, child_id)
);

# ס
create table spool (
  spool_id int primary key,
  ml_id int,                           # ML̾
  seq int,                             # ֹ̤
  subject varchar(255),                # ̾
  body mediumtext,                     # ʸ
  unique (ml_id, seq)
);

# 
create table work (
  work_id int primary key,
  ml_id int,                           # ML̾
  lock_id int,                         # ̻
  data text,                           # ǡ
  timestamp timestamp,
  unique (ml_id, lock_id)
);

# å
create table locks (
  lock_id int primary key,
  ident char(255),
  timestamp timestamp
);
